<?php

	session_start();	
	/* Regenerating sid to avoid XSS */
	session_regenerate_id(true);


	/* Now including common configuration files */
	if (!file_exists("include/db.php") || !file_exists("include/functions.php"))
		exit("Essential files are missing");

	/* Database connection */
	require_once("include/db.php");
		
			
	/* Customized functions */
	require_once("include/functions.php");
	

	/* Languages support */
	$defaultLanguage = 1;	
	
	if (empty($_SESSION['lang']) || !is_numeric($_SESSION['lang']))
		$_SESSION['lang'] = $defaultLanguage;

	$data = sql_fetch_row(sql_query("SELECT charset,language FROM {$database}.{$lt} WHERE id=".$_SESSION['lang']));

	if (!file_exists("lang/".happy_meal($data['language']).".php"))
		exit("Missing language lib for ".happy_meal($data['language']));
		
	include("lang/".happy_meal($data['language']).".php");
	
	$charset = happy_meal($data['charset']);	

	/* Keyboard compatibility */	
	sql_query("SET character_set_client = '$charset'");
	
?>
